#include <bits/stdc++.h>
using namespace std;

int isInVector(vector<int> nm, int n){
    for(int i = 0; i < nm.size(); i++){
        if(nm[i] == n)
            return 1;
    }
    return 0;

}

int proizvodCif(long long n) {
    int proizvod = 1;
    for(long long i = 1; i < n; i*=10){
        int cifra =  (n % (i*10) - n % i) / i;
        proizvod *= cifra;
    }
    return proizvod;
}
int main() {
    int t;
    cin >> t;
    vector<int> resenja = {};
    for(int i = 0; i < t; i++){
        int n;
        cin >> n;
        vector<int> brojevi = {};
        for(int j = 1; j <= n; j++){
            int proizvod = proizvodCif(j);
            if(!isInVector(brojevi, proizvod)){
                brojevi.push_back(proizvod);
            }

        }
        resenja.push_back(brojevi.size());
    }

    for(int i = 0; i < resenja.size(); i++) {
        cout << resenja[i] << endl;
    }
}